<?php
if (!defined('__TYPECHO_ROOT_DIR__')) exit;

function themeConfig($form)
{
    $logoUrl = new \Typecho\Widget\Helper\Form\Element\Text(
        'logoUrl',
        null,
        '',
        _t('站点 LOGO 地址'),
        _t('在这里填入一个图片 URL 地址, 以在网站标题前加上一个 LOGO')
    );

    $form->addInput($logoUrl);

    $sidebarBlock = new \Typecho\Widget\Helper\Form\Element\Checkbox(
        'sidebarBlock',
        [
            'ShowRecentPosts'    => _t('显示最新文章'),
            'ShowHotPosts'       => _t('显示热门文章'),
            'ShowRecentComments' => _t('显示最近回复'),
            'ShowCategory'       => _t('显示分类'),
            'ShowArchive'        => _t('显示归档'),
            'ShowOther'          => _t('显示其它杂项')
        ],
        ['ShowRecentPosts', 'ShowRecentComments', 'ShowCategory',],
        _t('侧边栏显示')
    );

    $form->addInput($sidebarBlock->multiMode());
}

/*
function themeFields($layout)
{
    $logoUrl = new \Typecho\Widget\Helper\Form\Element\Text(
        'logoUrl',
        null,
        null,
        _t('站点LOGO地址'),
        _t('在这里填入一个图片URL地址, 以在网站标题前加上一个LOGO')
    );
    $layout->addItem($logoUrl);
}
*/

function getDays($time1, $time2) {
    return floor(($time2 - $time1) / 86400);
}


// 输出文章缩略图
function showThumb($widget){ 
    // 当文章无图片时的默认缩略图
	$content = $widget->text;
    $pattern = '/\<img.*?src\=\"(.*?)\"[^>]*>/i'; 

	if (preg_match_all($pattern, $widget->content, $thumbUrl)) {
	    return $thumbUrl[1][0];
	    $imageUrl = $thumbUrl[1][0];
        if (get_url_status($imageUrl) == 200) return $imageUrl;
        return '/uploads/nopic.png';
    }
    return '';
}


/**
 * 检测url是否可用[用于请求其他url出现未响应的情况]
 * author Turbo
 * $url  测试的url
 * @return void
 */
function get_url_status($url){
    // 定义状态码 httpcode
    $httpcode = 0;
    $ch = curl_init();
    $timeout = 1; // 设置超时的时间[单位：秒]
    
    // 设置 curl 选项
    curl_setopt($ch, CURLOPT_URL, $url);
    curl_setopt($ch, CURLOPT_FOLLOWLOCATION, 1); // 允许跳转
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1); // 不输出内容
    curl_setopt($ch, CURLOPT_NOBODY, 1); // 不返回主体内容
    curl_setopt($ch, CURLOPT_HEADER, 0); // 不返回头部内容
    curl_setopt($ch, CURLOPT_CONNECTTIMEOUT, $timeout); // 设置超时时间
    
    // 执行请求
    curl_exec($ch);
    
    // 获取状态码
    $httpcode = curl_getinfo($ch, CURLINFO_HTTP_CODE);
    
    // 关闭 cURL
    curl_close($ch);
    
    // 返回状态码
    return $httpcode; // 200 正常，其他异常
}
