<?php if (!defined('__TYPECHO_ROOT_DIR__')) exit; ?>
<!DOCTYPE HTML>
<html>
<head>
    <meta charset="<?php $this->options->charset(); ?>">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="renderer" content="webkit">
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no">
    <title><?php $this->archiveTitle([
        'category' => _t('分类 %s 下的文章'),
        'search'   => _t('包含关键字 %s 的文章'),
        'tag'      => _t('标签 %s 下的文章'),
        'author'   => _t('%s 发布的文章')
        ], '', ' - '); ?><?php $this->options->title(); ?></title>
    <link rel="shortcut icon" href="<?php $this->options->siteUrl('favicon.ico'); ?>">
    <link rel="icon" href="<?php $this->options->siteUrl('favicon.ico'); ?>">
    <link rel="stylesheet" href="<?php $this->options->themeUrl('style.css');?>?v=116">
    <?php $this->header(); ?>
</head>
<body>
<div class="wrap container">
    <header id="header" class="header">
        <div class="head clearfix">
             <div id="logo">
                <a class="logo" href="<?php $this->options->siteUrl(); ?>">
                    <?php if ($this->options->logoUrl): ?><img src="<?php $this->options->logoUrl() ?>" alt="<?php $this->options->title() ?>"/><?php else:?><?php $this->options->title() ?><?php endif; ?>
                </a>
                <?php Ads_Plugin::show(id:1); ?>
            </div>
            <p class="description"><?php $this->options->description() ?></p>
        </div>
        <div class="navMenu">
            <nav id="nav-menu" class="clearfix" role="navigation">
                <a<?php if ($this->is('index')): ?> class="current"<?php endif; ?> href="<?php $this->options->siteUrl(); ?>"><?php _e('首页'); ?></a>
                <?php $obj = $this->widget('Widget_Metas_Category_List');
                if($obj->have()){
                while($obj->next()){ ?>
                <a<?php if ($this->is('category', $obj->slug)): ?> class="current"<?php endif; ?> href="<?php $obj->permalink(); ?>" title="<?php $obj->name(); ?>"><?php $obj->name(); ?></a>
                <?php }
            } ?>
                <?php \Widget\Contents\Page\Rows::alloc()->to($pages); ?>
                <?php while ($pages->next()): ?>
                <a<?php if ($this->is('page', $pages->slug)): ?> class="current"<?php endif; ?> href="<?php $pages->permalink(); ?>" title="<?php $pages->title(); ?>"><?php $pages->title(); ?></a>
                <?php endwhile; ?>
                <a href="https://tool.lvtao.net" target="_blank">工具箱</a>
            </nav>
            <form id="search" method="post" action="<?php $this->options->siteUrl(); ?>" role="search">
                <label for="s" class="sr-only"><?php _e('搜索关键字'); ?></label>
                <input type="text" id="s" name="s" class="text" placeholder="<?php _e('输入 S 或 / 进行搜索'); ?>"/>
                <button type="submit" class="submit"><?php _e('搜索'); ?></button>
            </form>
        </div>
    </header>
    <div id="body" class="clearfix">