<?php if (!defined('__TYPECHO_ROOT_DIR__')) exit; ?>
<?php $this->need('header.php'); ?>

<div id="main" class="main fl" role="main">
    <article class="post">
        <h1 class="post-title">
            <a href="<?php $this->permalink() ?>"><?php $this->title() ?></a>
        </h1>
        <ul class="post-meta">
            <li>
                <?php _e('作者: '); ?><a href="<?php $this->author->permalink(); ?>" rel="author"><?php $this->author(); ?></a>
            </li>
            <li><?php _e('时间: '); ?>
                <time datetime="<?php $this->date('c'); ?>"><?php $this->date(); ?></time>
            </li>
            <li><?php _e('分类: '); ?><?php $this->category(','); ?></li>
        </ul>
        <?php Ads_Plugin::show(id:5); ?>
        <?php if ($this->created + 365 * 86400 < time()): ?>
        <!--警示信息-->
        <div class="alert-expiration" role="alert">这篇文章发布于 <?php echo getDays($this->created, time()); ?> 天前，其中的信息可能已经有所发展或是发生改变！</div>
        <?php endif; ?>
        <div class="post-content">
            <?php $this->content(); ?>
        </div>
        <p class="tags"><?php _e('标签: '); ?><?php $this->tags(', ', true); ?></p>
    </article>
    <?php Ads_Plugin::show(id:6); ?>
    <?php $this->related(8)->to($relatedPosts); ?>
    <?php if ($relatedPosts->have()){ ?>
    <div class="relative">
    <h3 class="relative-title"><span>相关文章</span></h3>
    <?php while ($relatedPosts->next()): ?>
    <article class="post">
        <?php if(showThumb($relatedPosts) != ''){ ?><div class="fm"><img src="<?php echo showThumb($relatedPosts); ?>"></div><?php }?>
        <div class="post-text">
        <h2 class="post-title"><a href="<?php $relatedPosts->permalink() ?>"><?php $relatedPosts->title() ?></a></h2>
        <div class="post-content"><?php $relatedPosts->excerpt(100, '...');?></div>
        </div>
    </article>
    <?php endwhile; ?>
    </div>
    <?php } ?>

    <?php //$this->need('comments.php'); ?>

    <ul class="post-near">
        <li>上一篇: <?php $this->thePrev('%s', '没有了'); ?></li>
        <li>下一篇: <?php $this->theNext('%s', '没有了'); ?></li>
    </ul>
    <?php Ads_Plugin::show(id:7); ?>
</div><!-- end #main-->

<?php $this->need('sidebar.php'); ?>
<script>
    // 查找所有 <pre> 元素，并检查它们是否包含 <code>
    document.querySelectorAll('pre').forEach((preBlock) => {
      const codeBlock = preBlock.querySelector('code');  // 查找 <pre> 内的 <code>

      // 仅当 <pre> 内部包含 <code> 时才添加按钮
      if (codeBlock) {
        // 创建复制按钮
        const copyButton = document.createElement('button');
        copyButton.className = 'copy-btn';
        copyButton.textContent = '复制';

        // 将按钮添加到 <pre> 内
        preBlock.appendChild(copyButton);

        // 复制按钮点击事件
        copyButton.addEventListener('click', () => {
          // 创建临时的 textarea 用于复制内容
          const textArea = document.createElement('textarea');
          textArea.value = codeBlock.innerText;  // 获取 <code> 块内的纯文本内容
          document.body.appendChild(textArea);  // 将 textarea 添加到 body

          textArea.select();  // 选择文本
          document.execCommand('copy');  // 执行复制命令
          document.body.removeChild(textArea);  // 移除 textarea

          // 复制成功后的反馈
          copyButton.textContent = '已复制';
          copyButton.classList.add('copied');

          // 1秒后恢复按钮状态
          setTimeout(() => {
            copyButton.textContent = '复制';
            copyButton.classList.remove('copied');
          }, 1000);
        });
      }
    });
</script>
<?php $this->need('footer.php'); ?>
